<!DOCTYPE html>
<html>
<head>
    <title>JSON Polling Webpage</title>
</head>
<body>
    <h1>JSON Polling Webpage</h1>
    <pre id="data"></pre>
    <script>
        async function fetchData() {
            try {
                // Customize the POST parameters
                const data = {
                    service: 'Food',
                    glat: 60,
                    glon: 100,
                    radius: 5000
                };

                const response = await fetch('/fetch-data', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify(data)
                });

                const result = await response.json();

                if (result.location) {
                    document.getElementById('data').textContent = JSON.stringify(result.location, null, 2);
                } else {
                    document.getElementById('data').textContent = 'No data found.';
                }
            } catch (error) {
                console.error('Error fetching data:', error.message);
            }
        }

        // Poll data every 5 seconds
        setInterval(fetchData, 5000);
    </script>
</body>
</html>
